Bug 583740 - Incorrect libdir in libudev.pc
Incorrect libdir in libudev.pc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 11:44 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 07:30:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2010-04-19 11:44:04 EDT
Description of problem:

While the libudev.so file is in /lib64, the .pc file says it's in /usr/lib64.


Version-Release number of selected component (if applicable):

(mcpierce@mcpierce-desktop:Podcast)$ rpm -q libudev-devel
libudev-devel-145-19.fc12.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Check the file.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kay Sievers 2010-05-09 12:37:37 EDT
This isn't a bug. Pkgconfig must point to the devel symlink pointing to the .so, not the real location of the actual .so. That the real .so lives in the rootfs is an implementation detail, hidden by the dynloader loader config, and should not be exposed anywhere else.

Note You need to log in before you can comment on or make changes to this bug.